version: "3.9"
services:
  api:
    build: .
    environment:
      - DATABASE_URL=postgresql://postgres:postgres@postgres_host/postgres
      - JWT_ALGORITHM=HS256
      - JWT_EXPIRE_MINUTES=300
      - JWT_SECRET_KEY=ecf998039f7d180e93bdcda768fc762b51132ebb71287e2dc8fb39230f4d5cfb
    ports:
      - "80:80"
    depends_on:
      postgres:
        condition: service_healthy
    links:
      - "postgres:postgres_host"
  postgres:
    image: postgres:13
    restart: always
    environment:
      - POSTGRES_USER=postgres
      - POSTGRES_PASSWORD=postgres
    logging:
      options:
        max-size: 10m
        max-file: "3"
    ports:
      - "5522:5432"
    healthcheck:
      test: [ "CMD", "psql", "-U", "postgres", "-d", "postgres", "-c", "SELECT 1" ]
      interval: 5s
      timeout: 10s
      retries: 5